Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:	thunar-thumbnailers provides additional thumbnailers for Thunar
Name:		thunar-thumbnailers
Version:	0.3.0
Release:	2
License:	GNU/GPL
URL:		http://goodies.xfce.org/projects/thunar-plugins/thunar-thumbnailers
Source0:	%{name}-%{version}.tar.bz2
Group:		Graphical Desktop/Xfce/Extras
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  Thunar ImageMagick 
Requires:	ImageMagick shared-mime-info 

%description
Thunar uses external utilities - so called thumbnailers - to generate previews 
of certain files. Thunar ships with thumbnailers to generate previews of image 
and font files and can automatically use available GNOME thumbnailers if it 
was build with support for gconf.

However, even then, there are several file types for which no thumbnailer 
exists. The thunar-thumbnailers project provides additional thumbnailers for 
Thunar, that also cover less common file formats.

%post
update-mime-database %_datadir/mime

%postun
update-mime-database %_datadir/mime

%prep
%setup -q -n %{name}-%{version}

%build
%configure --sysconfdir=%_sysconfdir/xfce --libexecdir=%_libexecdir
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libexecdir/dvi-thumbnailer
%_libexecdir/eps-thumbnailer
%_libexecdir/fig-thumbnailer
%_libexecdir/pdf-thumbnailer
%_libexecdir/ps-thumbnailer
%_libexecdir/svgz-thumbnailer
%_datadir/mime/packages/thunar-thumbnailers.xml
%_datadir/thumbnailers/dvi-thumbnailer.desktop
%_datadir/thumbnailers/eps-thumbnailer.desktop
%_datadir/thumbnailers/fig-thumbnailer.desktop
%_datadir/thumbnailers/pdf-thumbnailer.desktop
%_datadir/thumbnailers/ps-thumbnailer.desktop
%_datadir/thumbnailers/svgz-thumbnailer.desktop

%changelog
* Sun Dec 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.3.0-2
- Rebuild against XFCE 4.4.2 (Thunar 0.9.0)
* Sun Oct 21 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.3.0-1
- Initial Release
